Package opennlp.uima.parser

# Class Parser

java.lang.Object
org.apache.uima.analysis_component.AnalysisComponent_ImplBase
org.apache.uima.analysis_component.Annotator_ImplBase
org.apache.uima.analysis_component.CasAnnotator_ImplBase
opennlp.uima.parser.Parser

All Implemented Interfaces:
  `org.apache.uima.analysis_component.AnalysisComponent`

public class Parser extends org.apache.uima.analysis_component.CasAnnotator_ImplBase
Base class for OpenNLP-based Parser annotators.

Mandatory parameters:

Type | Name | Description
--- | --- | ---
String | `opennlp.uima.ModelName` | The name of the model file
String | `opennlp.uima.SentenceType` | The full name of the sentence type
String | `opennlp.uima.TokenType` | The full name of the token type
String | `opennlp.uima.ParseType` | The full name of the parse type
String | `opennlp.uima.TypeFeature` | The name of the type feature

Optional parameters:

Type | Name | Description
--- | --- | ---
Integer | `opennlp.uima.BeamSize`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CHILDREN_FEATURE_PARAMETER`
  `static final String`
  `PARSE_TYPE_PARAMETER`
  `static final String`
  `PROBABILITY_FEATURE_PARAMETER`
  `static final String`
  `TYPE_FEATURE_PARAMETER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Releases allocated resources.
  `void`
  `initialize(org.apache.uima.UimaContext context)`
  Initializes the current instance with the given context.
  `void`
  `process(org.apache.uima.cas.CAS cas)`
  Performs parsing on the given `CAS` object.
  `void`
  `typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)`
  Initializes the `type system`.

  ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

  `getRequiredCasInterface, process`

  ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

  `getCasInstancesRequired, hasNext, next`

  ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

  `batchProcessComplete, collectionProcessComplete, reconfigure, setResultSpecification`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PARSE_TYPE_PARAMETER

    public static final String PARSE_TYPE_PARAMETER
    See Also:
      - Constant Field Values

  - ### TYPE_FEATURE_PARAMETER

    public static final String TYPE_FEATURE_PARAMETER
    See Also:
      - Constant Field Values

  - ### CHILDREN_FEATURE_PARAMETER

    public static final String CHILDREN_FEATURE_PARAMETER
    See Also:
      - Constant Field Values

  - ### PROBABILITY_FEATURE_PARAMETER

    public static final String PROBABILITY_FEATURE_PARAMETER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Parser

    public Parser()

- ## Method Details

  - ### initialize

    public void initialize(org.apache.uima.UimaContext context) throws org.apache.uima.resource.ResourceInitializationException
    Initializes the current instance with the given context.
    Specified by:
      `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### typeSystemInit

    public void typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem) throws org.apache.uima.analysis_engine.AnalysisEngineProcessException
    Initializes the `type system`.
    Overrides:
      `typeSystemInit` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`
    Throws:
      `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

  - ### process

    public void process(org.apache.uima.cas.CAS cas)
    Performs parsing on the given `CAS` object.
    Specified by:
      `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`

  - ### destroy

    public void destroy()
    Releases allocated resources.
    Specified by:
      `destroy` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `destroy` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`